cURL
curl --request PATCH \ --url https://statsigapi.net/console/v1/gates/{id}/overrides \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "environmentOverrides": [ { "environment": "staging", "unitID": "unit123", "passingIDs": [ "id1", "id2" ], "failingIDs": [ "id3", "id4" ] } ] } '
{ "passingUserIDs": [ "passing-user" ], "failingUserIDs": [ "failing-user" ] }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
id
Contract for updating overrides
Show child attributes
Add Gate Override Success
A simple string explaining the result of the operation.
Contract for overrides
Was this page helpful?